Summary:	PARI/GP to C translator
Name:		gp2c
Version:	0.0.14
Release:	%mkrel 2
License:	GPLv2
Group:		Sciences/Mathematics
URL:		https://pari.math.u-bordeaux.fr/
Source0:	https://pari.math.u-bordeaux.fr/pub/pari/GP2C/%{name}-%{version}.tar.gz
BuildRequires:	pari-devel >= 2.5
BuildRequires:	pari >= 2.5
BuildRequires:	pari-data
Requires:	pari >= 2.5

%description
PARI/GP to C translator. Use it to compile your own C
programs which use pari library, without necessarily being
a C programmer.

Note: use gp2c-run to run your programs inside the PARI/GP
environment.

%prep
%autosetup

%build
%configure --with-paricfg=%{_libdir}/pari/pari.cfg
%make_build

%install
%make_install

%files
%license COPYING
%doc AUTHORS ChangeLog NEWS README BUGS
%doc doc/*.{html,dvi,png}
%{_bindir}/gp2c*
%{_datadir}/gp2c
%{_datadir}/doc/%{name}/
%{_mandir}/man1/gp2c*.1*


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 0.0.14-2.mga10
+ Revision: 2229683
- Mageia 10 Mass Rebuild

* Tue Oct 29 2024 daviddavid <daviddavid> 0.0.14-1.mga10
+ Revision: 2111730
- new version: 0.0.14

* Fri Oct 21 2022 ghibo <ghibo> 0.0.13-2.mga9
+ Revision: 1898312
- Rebuild against newer libpari

* Wed Oct 19 2022 ghibo <ghibo> 0.0.13-1.mga9
+ Revision: 1897580
- Update to release 0.0.13

* Sat Apr 02 2022 umeabot <umeabot> 0.0.12-2.mga9
+ Revision: 1840551
- Mageia 9 Mass Rebuild

* Wed Jan 19 2022 mrambo3501 <mrambo3501> 0.0.12-1.mga9
+ Revision: 1769168
- version 0.0.12

* Sun Jun 28 2020 joequant <joequant> 0.0.11-3.mga8
+ Revision: 1600000
- fix gcc10 build

* Tue Feb 11 2020 umeabot <umeabot> 0.0.11-2.mga8
+ Revision: 1488919
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Aug 24 2018 daviddavid <daviddavid> 0.0.11-1.mga7
+ Revision: 1253758
- new version: 0.0.11

* Wed Mar 28 2018 kekepower <kekepower> 0.0.10pl1-1.mga7
+ Revision: 1213220
- Update to version 0.0.10pl1

* Sat Feb 20 2016 umeabot <umeabot> 0.0.7pl3-7.mga6
+ Revision: 972077
- Mageia 6 Mass Rebuild

* Sun Oct 25 2015 daviddavid <daviddavid> 0.0.7pl3-6.mga6
+ Revision: 895173
- add more docs to fix build with latest rpm

* Wed Oct 15 2014 umeabot <umeabot> 0.0.7pl3-5.mga5
+ Revision: 745046
- Second Mageia 5 Mass Rebuild

* Sat Oct 11 2014 umeabot <umeabot> 0.0.7pl3-4.mga5
+ Revision: 738029
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.0.7pl3-3.mga4
+ Revision: 505166
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.0.7pl3-2.mga3
+ Revision: 352471
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 08 2012 fwang <fwang> 0.0.7pl3-1.mga3
+ Revision: 303348
- use updated dir
- imported package gp2c

